Bruk av SDK-er fra tredjeparter i appen din

Når du har bygget tredjeparts-SDK-er inn i appen din, kan de ha stor innvirkning på kompatibiliteten, ytelsen, tryggheten, sikkerheten og kvaliteten til appen.

Endringer knyttet til SDK-er fra tredjeparter

For å sikre at eventuell tredjepartsprogramvare appen din bruker, overholder programretningslinjene for Google Play-utviklere og på andre måter bidrar til positive brukeropplevelser, begynner Google Play å merke kjente problemer for populære SDK-er i Play-konsollen.

For å finne ut hvilken SDK appen din bruker, bruker vi avhengighetsfilen i appen din. Avhengighetsfilen inneholder referanser til alle versjonsbaserte biblioteker appen avhenger av. Apper som bruker Android App Bundle, inkluderer avhengighetsfilen som standard. Apper som er opprettet før august 2021 og som publiserer med APK-er, inkluderer avhengighetsfilen fra og med Android-programtillegget for Gradle 4.0.

Forstå problemer med tredjeparts-SDK-en for appen din

Hvis det er aktuelt, er problemer med SDK-versjoner som brukes av appen din, beskrevet i Play-konsollen øverst på Produksjon-siden eller Utgaveoversikt-siden.

Hvis appen din bruker en SDK-versjon som kan føre til at den ikke overholder programretningslinjene for utviklere på Google Play, kan nye apputgaver som bruker den aktuelle SDK-versjonen, bli avvist. Avhengig av overtredelsestypen blir du bedt om å sikre at SDK-bruken overholder retningslinjene våre for brukerdata, bytte til en annen versjon SDK-leverandøren anbefaler at du bruker i stedet, eller fjerne SDK-en.

Hvis appen din bruker en SDK-versjon som er utdatert eller har kritiske problemer, får du en advarsel som kan kreve ytterligere tiltak. Hvis for eksempel en SDK-leverandør har informert oss om at SDK-versjonen av appen din er utdatert, kan du likevel lansere appen, men du kan ikke lansere en ny versjon av appen med en utdatert versjon av SDK-en – du må bruke den oppdaterte SDK-versjonen. Hvis appen din bruker en SDK-versjon som SDK-leverandøren har rapportert at inneholder kritiske problemer, ser du en advarsel som beskriver typen problem, som beskrevet av SDK-leverandøren.

Hvis du har spørsmål om en SDK-versjon som enten er utdatert eller har kritiske problemer, anbefaler vi at du kontakter SDK-leverandøren.

Var dette nyttig for deg?
Hvordan kan vi forbedre den?

Trenger du mer hjelp?

Logg på for å få mer hjelp til å løse problemet raskt

Søk
Slett søket
Lukk søkefunksjonen
Google-apper
Hovedmeny
Søk i brukerstøtte
true
92637
false